import { IMenuItem, LMSession } from "@launchmenu/core";
import { Field } from "model-react";
/**
 * Data associated with a session
 */
export declare class SessionData {
    readonly session: LMSession;
    readonly name: Field<string>;
    readonly description: Field<string | null>;
    readonly sessionInterface: IMenuItem;
    /**
     * Creates new session data
     * @param session The LM session
     * @param name The initial name of the session
     */
    constructor(session: LMSession, name: string);
    /**
     * Creates the menu item to be used as the session's interface
     * @returns The created menu item
     */
    protected initInterface(): IMenuItem;
}
//# sourceMappingURL=SessionData.d.ts.map